LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
PathJoinType.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::rendering
| Interfaces and data structures for rendering.

## Constant Groups
constants | com::sun::star::rendering::PathJoinType
| Determines which shape to use when joining path segments.

## Variables
const byte | NONE =0
| Do not join the path segments at all. More...
const byte | MITER =1
| Join the path segment by extending the outer border until they intersect. More...
const byte | ROUND =2
| Join the path segment with a pie-like patch, such that the outer line of the meeting point is round. More...
const byte | BEVEL =3
| Join the path segment by connecting the outer ends of the abutting segments with a straight line. More...